MapTileUtil.Action (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class MapTileUtil.Action

    java.lang.Object
      com.bbn.openmap.dataAccess.mapTile.MapTileUtil.Action

Direct Known Subclasses:
  MapTileUtil.Copy, MapTileUtil.Jar, MapTileUtil.URLGrabber

Enclosing class:
  MapTileUtil

    public abstract static class MapTileUtil.Action

extends java.lang.Object

A generic builder Action that handles most configuration issues for the MapTileUtil. Extend to make MTU do what you want by overriding go and action.

Author:
  dietrick

Constructor Summary
`MapTileUtil.Action(java.lang.String source, java.lang.String destination)`

Method Summary
`abstract void` | `action(int x, int y, int zoomLevel, MapTileUtil mtu)` Called from within grabTiles, with the tile info.
`MapTileUtil.Action` | `addBounds(double ulat, double llon, double llat, double rlon)`
`MapTileUtil.Action` | `addZoom(int zoom)`
`MapTileUtil.Action` | `addZoomRange(int zoom1, int zoom2)`
`MapTileUtil.Action` | `format(java.lang.String format)`
`java.util.List<double[]>` | `getBoundsList()`
`java.lang.String` | `getDestination()`
`java.lang.String` | `getFormat()`
`MapTileCoordinateTransform` | `getMtcTransform()`
`java.lang.String` | `getSource()`
`boolean[]` | `getZoomLevels()`
`abstract void` | `go()`
`void` | `setBoundsList(java.util.List<double[]> boundsList)`
`void` | `setDestination(java.lang.String destination)`
`void` | `setFormat(java.lang.String format)`
`void` | `setMtcTransform(MapTileCoordinateTransform mtcTransform)`
`void` | `setSource(java.lang.String source)`
`void` | `setZoomLevels(boolean[] zoomLevels)`
`MapTileUtil.Action` | `transform(MapTileCoordinateTransform transform)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapTileUtil.Action

    public MapTileUtil.Action(java.lang.String source,
                              java.lang.String destination)

Method Detail

### addBounds

    public MapTileUtil.Action addBounds(double ulat,
                                        double llon,
                                        double llat,
                                        double rlon)

### addZoom

    public MapTileUtil.Action addZoom(int zoom)

### addZoomRange

    public MapTileUtil.Action addZoomRange(int zoom1,
                                           int zoom2)

### format

    public MapTileUtil.Action format(java.lang.String format)

### transform

    public MapTileUtil.Action transform(MapTileCoordinateTransform transform)

### go

    public abstract void go()

### action

    public abstract void action(int x,
                                int y,
                                int zoomLevel,
                                MapTileUtil mtu)

  Called from within grabTiles, with the tile info. You can use this information to make a method call on mtu.

  Parameters:
    `x` - tile coordinate
    `y` - tile coordinate
    `zoomLevel` - tile zoom level
    `mtu` - callback

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getDestination

    public java.lang.String getDestination()

### setDestination

    public void setDestination(java.lang.String destination)

### getFormat

    public java.lang.String getFormat()

### setFormat

    public void setFormat(java.lang.String format)

### getBoundsList

    public java.util.List<double[]> getBoundsList()

### setBoundsList

    public void setBoundsList(java.util.List<double[]> boundsList)

### getZoomLevels

    public boolean[] getZoomLevels()

### setZoomLevels

    public void setZoomLevels(boolean[] zoomLevels)

### getMtcTransform

    public MapTileCoordinateTransform getMtcTransform()

### setMtcTransform

    public void setMtcTransform(MapTileCoordinateTransform mtcTransform)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details